# EirTube

A heavily modified personal use version of [CloudTube][cloudtube] by [Cadence Ember](https://cadence.moe/).

Uses code from CloudTube and [yt2009](https://github.com/ftde0/yt2009/).

## Features

- Videos are downloaded and served on the server instead of streamed from YouTube.
- Video data is cached so as to ping YouTube and NewLeaf/Invidious less.
- Higher quality formats can be preloaded while you watch and switched to when ready.
- Volume boosting above 100% and force mono audio (requires JavaScript).
- Custom captions implementation supporting position, style, etc. (requires Javascript)
- Download video to an mp4 file, or audio to an ogg file.
- SponsorBlock and DeArrow integration.
- Has my cool theme :3

## Navigation (CloudTube)

- [Project hub][hub]
- [Announcements][announce]
- [CloudTube repo][cloudtube]
- [NewLeaf repo][newleaf]
- [Documentation repo][docs]
- [Mailing list][list] for development and discussion
- [Todo tracker][todo] for listing problems and feature requests
- [Chatroom on Matrix][matrix]

[hub]: https://sr.ht/~cadence/tube/
[announce]: https://lists.sr.ht/~cadence/tube-announce
[cloudtube]: https://git.sr.ht/~cadence/cloudtube
[newleaf]: https://git.sr.ht/~cadence/NewLeaf
[list]: https://lists.sr.ht/~cadence/tube-devel
[todo]: https://todo.sr.ht/~cadence/tube
[matrix]: https://matrix.to/#/#cloudtube:cadence.moe
[docs]: https://git.sr.ht/~cadence/tube-docs
